classes

## Class Category

- java.lang.Object
- - classes.Category

    public class Category
    extends java.lang.Object

Class "Category" performs the functionality of listing elements into groups. Each Category contains an ArrayList of CpsObjects, a name and a HashMap of ObjIdx.

Author:
  Gruppe14

### Constructor Summary

Constructors
Constructor and Description
`Category(java.lang.String name)` Category Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getName()` Getter the name of the Category.
`java.util.ArrayList<AbstractCpsObject>` `getObjects()` Getter for all CpsObjects.
`java.util.HashMap<java.lang.String,java.lang.Integer>` `getObjIdx()` Getter of the Objects in the Tree with their respective order.
`void` `setName(java.lang.String name)` Set the name of the Category to a new one.
`void` `setObjects(java.util.ArrayList<AbstractCpsObject> objects)` Set a new ArrayList of CpsObjects.
`void` `setObjIdx(java.util.HashMap<java.lang.String,java.lang.Integer> objIdx)` Set a new sequence of Objects in the tree.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Category

    public Category(java.lang.String name)

Category Constructor.

Parameters:
  `name` - name of the Category

### Method Detail

#### getObjects

    public java.util.ArrayList<AbstractCpsObject> getObjects()

Getter for all CpsObjects.

Returns:
  the objects

#### setObjects

    public void setObjects(java.util.ArrayList<AbstractCpsObject> objects)

Set a new ArrayList of CpsObjects.

Parameters:
  `objects` - the objects to set

#### getName

    public java.lang.String getName()

Getter the name of the Category.

Returns:
  the name

#### setName

    public void setName(java.lang.String name)

Set the name of the Category to a new one.

Parameters:
  `name` - the name to set

#### getObjIdx

    public java.util.HashMap<java.lang.String,java.lang.Integer> getObjIdx()

Getter of the Objects in the Tree with their respective order.

Returns:
  the objIdx

#### setObjIdx

    public void setObjIdx(java.util.HashMap<java.lang.String,java.lang.Integer> objIdx)

Set a new sequence of Objects in the tree.

Parameters:
  `objIdx` - the objIdx to set